Index: /BAORadio/libindi/libindi/BAOControl/filetools.h
===================================================================
--- /BAORadio/libindi/libindi/BAOControl/filetools.h	(revision 503)
+++ /BAORadio/libindi/libindi/BAOControl/filetools.h	(revision 504)
@@ -57,5 +57,5 @@
 
 **********************************************************************************/
-
+int readINI (const char *sectionName, const char *pKeyName, char **ppStr, const char *fileName);
 
 char *writeINI (char *section, char *key, char *pKeyValue, char *fileName);
Index: /BAORadio/libindi/libindi/BAOControl/main.cpp
===================================================================
--- /BAORadio/libindi/libindi/BAOControl/main.cpp	(revision 504)
+++ /BAORadio/libindi/libindi/BAOControl/main.cpp	(revision 504)
@@ -0,0 +1,13 @@
+#include "baocontrol.h" 
+
+int main(int argc, char **argv)
+{   
+  BAOcontrol *appli;
+  
+  appli = new BAOcontrol();
+  
+  appli->init(argc, argv);
+  
+  delete appli;
+  
+} 
Index: /BAORadio/libindi/libindi/BAOControl/mouvements
===================================================================
--- /BAORadio/libindi/libindi/BAOControl/mouvements	(revision 503)
+++ /BAORadio/libindi/libindi/BAOControl/mouvements	(revision 504)
@@ -1,5 +1,9 @@
+[parametres]
+mode=tracking
+J2000=on
+
 [objet 1]
-date=07/11/2010
-heure=14:19:00
+date=19/06/2011
+heure=22:52:00
 duree=30
 ad=12:25:00
@@ -7,7 +11,14 @@
 
 [objet 2]
-date=07/11/2010
-heure=14:19:31
+date=19/06/2011
+heure=22:53:00
 duree=30
 ad=00:25:00
 de=89:00:00
+
+[objet 3]
+date=19/06/2011
+heure=22:54:00
+duree=30
+ad=00:25:00
+de=87:00:00
Index: /BAORadio/libindi/libindi/BAOControl/params
===================================================================
--- /BAORadio/libindi/libindi/BAOControl/params	(revision 503)
+++ /BAORadio/libindi/libindi/BAOControl/params	(revision 504)
@@ -4,12 +4,18 @@
 
 [coordonnees geographiques]
-latitude=48:41:56
-longitude=2:10:13
+latitude=48:51:00
+longitude=2:19:59
 
-[transit]
-delai=100
+[atmosphere]
+pression=1013
+temperature=10
 
-[tracking]
-delai=5
+[suivi]
+mode=tracking
+delai_transit=100
+delai_tracking=5
+
+[divers]
+couleurs=1
 
 
Index: /BAORadio/libindi/libindi/BAOControl/result
===================================================================
--- /BAORadio/libindi/libindi/BAOControl/result	(revision 504)
+++ /BAORadio/libindi/libindi/BAOControl/result	(revision 504)
@@ -0,0 +1,27 @@
+
+
+Results from query to  NASA/IPAC Extragalactic Database (NED),
+which is operated by the Jet Propulsion Laboratory, California Institute of
+Technology, under contract with the National Aeronautics and Space Administration.
+This work was (partially) supported by the US National Virtual Observatory
+development project, which is funded by the National Science Foundation
+under cooperative agreement AST0122449 with The Johns Hopkins University.
+
+
+
+queryDateTime:2011-06-26T14:47:53PDT
+
+
+
+Main Information Table for MESSIER 082
+
+
+
+Equinox:J2000.0
+
+
+
+CoordSystem:Equatorial
+
+No.|Object Name|RA(deg)|DEC(deg)|Type|Velocity|Redshift|Redshift Flag|Magnitude and Filter|Distance (arcmin)|References|Notes|Photometry Points|Positions|Redshift Points|Diameter Points|Associations
+1|MESSIER 082|148.96969 |  69.67938 |G|   203| 0.000677 |    | 9.30||1671|32|239|9|14|9|0
Index: /BAORadio/libindi/libindi/BAOTest/.kdev_include_paths
===================================================================
--- /BAORadio/libindi/libindi/BAOTest/.kdev_include_paths	(revision 504)
+++ /BAORadio/libindi/libindi/BAOTest/.kdev_include_paths	(revision 504)
@@ -0,0 +1,1 @@
+/home/richard/BAORadio/libindi/libindi/drivers/telescope
Index: /BAORadio/libindi/libindi/BAOTest/BAOtest_main.cpp
===================================================================
--- /BAORadio/libindi/libindi/BAOTest/BAOtest_main.cpp	(revision 503)
+++ /BAORadio/libindi/libindi/BAOTest/BAOtest_main.cpp	(revision 504)
@@ -69,5 +69,5 @@
     result.y=0;
 
-    if (str.length()>2)
+    if (str.length() > 2)
     {
         result.x=atoi(str.substr(2, 4).c_str());
@@ -203,5 +203,5 @@
                             if (Aleat)
                             {
-                                sprintf(chaine, "POSITION/%04i/%04i/\n", Pos.x, Pos.y);
+                                sprintf(chaine, "POSITION/%05i/%05i/\n", Pos.x, Pos.y);
                             }
                             else
Index: /BAORadio/libindi/libindi/CMakeLists.txt
===================================================================
--- /BAORadio/libindi/libindi/CMakeLists.txt	(revision 503)
+++ /BAORadio/libindi/libindi/CMakeLists.txt	(revision 504)
@@ -1,14 +1,8 @@
 cmake_minimum_required(VERSION 2.4.7)
-
- if(COMMAND cmake_policy)
-      cmake_policy(SET CMP0003 NEW)
-    endif(COMMAND cmake_policy)
-
-
 
 ##################  INDI version  ################################
 set(INDI_SOVERSION "0")
 set(CMAKE_INDI_VERSION_MAJOR 0)
-set(CMAKE_INDI_VERSION_MINOR 7)
+set(CMAKE_INDI_VERSION_MINOR 8)
 set(CMAKE_INDI_VERSION_RELEASE 0)
 set(CMAKE_INDI_VERSION_STRING "${CMAKE_INDI_VERSION_MAJOR}.${CMAKE_INDI_VERSION_MINOR}.${CMAKE_INDI_VERSION_RELEASE}")
@@ -38,11 +32,17 @@
 find_package(ZLIB REQUIRED)
 
+FIND_PACKAGE(Boost)
+IF (BOOST_FOUND)
+    INCLUDE_DIRECTORIES(${BOOST_INCLUDE_DIR})
+ENDIF()
+
+
 macro_optional_find_package(USB)
-macro_log_feature(LIBUSB_FOUND "libusb" "User level access to USB devices" "http://indi.sf.net" FALSE "" "Provides support for USB based drivers in INDI.")
+macro_log_feature(LIBUSB_FOUND "libusb" "User level access to USB devices" "http://www.libusb.org" FALSE "" "Provides support for USB based drivers in INDI.")
 
 macro_optional_find_package(CFITSIO)
 
 if (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
-  message(FATAL_ERROR "CFITSIO version too old, Please install cfitsio 3.x and try again. http://indi.sf.net")
+  message(FATAL_ERROR "CFITSIO version too old, Please install cfitsio 3.x and try again. http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html")
 endif (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
 
@@ -50,7 +50,4 @@
 macro_log_feature(CFITSIO_FOUND "libcfitsio" "A library for reading and writing data files in FITS (Flexible Image Transport System) data format" "http://indi.sf.net" FALSE "3.03" "Provides INDI with FITS I/O support.")
 
-
-macro_optional_find_package(FLI)
-macro_log_feature(FLI_FOUND "libfli" "Finger Lakes Instrument Library" "http://indi.sourceforge.net/" FALSE "1.71" "Provides INDI with support for controlling FLI CCDS & Filter Wheels.")
 
 macro_optional_find_package(Nova)
@@ -61,4 +58,10 @@
 check_include_files(termios.h TERMIOS_FOUND)
 macro_bool_to_01(TERMIOS_FOUND HAVE_TERMIOS_H)
+
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
+
+if(COMMAND cmake_policy)
+ cmake_policy(SET CMP0003 NEW)
+endif(COMMAND cmake_policy)
 
 include_directories( ${CMAKE_CURRENT_BINARY_DIR})
@@ -74,8 +77,4 @@
     include_directories(${NOVA_INCLUDE_DIR})
 endif (NOVA_FOUND)
-
-if (FLI_FOUND)
-    include_directories(${FLI_INCLUDE_DIR})
-endif (FLI_FOUND)
 
 set(liblilxml_SRCS  ${CMAKE_SOURCE_DIR}/libs/lilxml.c )
@@ -100,12 +99,17 @@
     )
 
-set (indibase_SRCS
+set (indiclient_SRCS
         ${CMAKE_SOURCE_DIR}/libs/indibase/basedriver.cpp
         ${CMAKE_SOURCE_DIR}/libs/indibase/baseclient.cpp
     )
 
-set (indidefaultdevice_SRCS
+set (indidriver_SRCS
         ${CMAKE_SOURCE_DIR}/libs/indibase/basedriver.cpp
         ${CMAKE_SOURCE_DIR}/libs/indibase/defaultdriver.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indiccd.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/inditelescope.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indifilterwheel.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indifocuser.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indiusbdevice.cpp
     )
 
@@ -127,8 +131,9 @@
 install(TARGETS indiserver RUNTIME DESTINATION bin )
 
-
-######################################
-######## INDI Shared Library #########
-######################################
+#################################################
+############# INDI Shared Library ###############
+# To offer lilxml and communination routines    #
+# Mostly used by generic clients                #
+#################################################
 add_library(indi SHARED ${libindicom_SRCS} ${liblilxml_SRCS})
 target_link_libraries(indi m z)
@@ -140,29 +145,27 @@
 target_link_libraries(indi ${CFITSIO_LIBRARIES})
 endif(CFITSIO_FOUND)
-if (FLI_FOUND)
-target_link_libraries(indi ${FLI_LIBRARIES})
-endif(FLI_FOUND)
 
 install(TARGETS indi LIBRARY DESTINATION lib${LIB_POSTFIX})
 set_target_properties(indi PROPERTIES VERSION ${CMAKE_INDI_VERSION_STRING} SOVERSION ${INDI_SOVERSION})
 
-
-######################################
-######## INDI Static Library #########
-######################################
-add_library(indidriver STATIC ${indimain_SRCS})
+##################################################
+############ INDI Main Static Library ############
+# To link with main() for 3rd party drivers      #
+##################################################
+add_library(indimain STATIC ${indimain_SRCS})
+install(TARGETS indimain ARCHIVE DESTINATION lib${LIB_POSTFIX})
+
+##################################################
+###### INDI Default Driver Static Library ########
+# To link with main() and indibase classes       #
+##################################################
+add_library(indidriver STATIC ${indimain_SRCS} ${indidriver_SRCS})
 install(TARGETS indidriver ARCHIVE DESTINATION lib${LIB_POSTFIX})
 
-##############################################
-######## INDI Default Driver Library #########
-##############################################
-add_library(indidefaultdriver STATIC ${indimain_SRCS} ${indidefaultdevice_SRCS})
-install(TARGETS indidefaultdriver ARCHIVE DESTINATION lib${LIB_POSTFIX})
-
-##############################################
-######## INDI Client Library #########
-##############################################
-add_library(indiclient STATIC ${indibase_SRCS})
-target_link_libraries(indiclient indi)
+##################################################
+########### INDI Client Static Library ###########
+##################################################
+add_library(indiclient STATIC ${indiclient_SRCS})
+target_link_libraries(indiclient indi pthread)
 install(TARGETS indiclient ARCHIVE DESTINATION lib${LIB_POSTFIX})
 
@@ -324,25 +327,64 @@
 install(TARGETS indi_BAO RUNTIME DESTINATION bin )
 
+########### Syncscan ###############
+set(synscan_SRCS
+   ${indimain_SRCS}
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/synscanmount.cpp )
+
+add_executable(indi_synscan ${synscan_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
+
+target_link_libraries(indi_synscan indidriver m z)
+
+if (NOVA_FOUND)
+  target_link_libraries(indi_synscan ${NOVA_LIBRARIES})
+endif (NOVA_FOUND)
+
+install(TARGETS indi_synscan RUNTIME DESTINATION bin )
+
+########### Telescope Simulator ##############
+set(telescopesimulator_SRCS
+        ${indimain_SRCS}
+        ${CMAKE_SOURCE_DIR}/drivers/telescope/telescope_simulator.cpp
+   )
+
+add_executable(indi_simulator_telescope ${telescopesimulator_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
+
+target_link_libraries(indi_simulator_telescope indidriver ${CFITSIO_LIBRARIES} m z pthread)
+
+if (NOVA_FOUND)
+  target_link_libraries(indi_simulator_telescope ${NOVA_LIBRARIES})
+endif (NOVA_FOUND)
+
+install(TARGETS indi_simulator_telescope RUNTIME DESTINATION bin )
+
 #####################################
 ########## FOCUSER GROUP ############
 #####################################
 
-###### FLI Precision Digital Focuser ######
-if (FLI_FOUND)
-set(flipdf_SRCS
-	${indimain_SRCS}
-	${CMAKE_SOURCE_DIR}/drivers/focuser/fli_pdf.c
-)
-
-add_executable(indi_fli_pdf ${flipdf_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_fli_pdf m ${FLI_LIBRARIES})
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_fli_pdf ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
-
-install(TARGETS indi_fli_pdf RUNTIME DESTINATION bin )
-endif(FLI_FOUND)
+########### CCD Simulator ##############
+if (CFITSIO_FOUND)
+
+set(ccdsimulator_SRCS
+        ${indimain_SRCS}
+        ${CMAKE_SOURCE_DIR}/drivers/ccd/ccd_simulator.cpp
+   )
+
+add_executable(indi_simulator_ccd ${ccdsimulator_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
+
+target_link_libraries(indi_simulator_ccd indidriver ${CFITSIO_LIBRARIES} m z pthread)
+
+if (NOVA_FOUND)
+  target_link_libraries(indi_simulator_ccd ${NOVA_LIBRARIES})
+endif (NOVA_FOUND)
+
+install(TARGETS indi_simulator_ccd RUNTIME DESTINATION bin )
+
+endif (CFITSIO_FOUND)
+
+
+#####################################
+########## FOCUSER GROUP ############
+#####################################
+
 #################################################################################
 
@@ -355,13 +397,34 @@
    )
 
-add_executable(indi_robofocus ${robofocus_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_robofocus m)
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_robofocus ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
-
-install(TARGETS indi_robofocus RUNTIME DESTINATION bin )
+add_executable(indi_robo_focus ${robofocus_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
+
+target_link_libraries(indi_robo_focus m)
+
+if (NOVA_FOUND)
+  target_link_libraries(indi_robo_focus ${NOVA_LIBRARIES})
+endif (NOVA_FOUND)
+
+install(TARGETS indi_robo_focus RUNTIME DESTINATION bin )
+
+################ Optec TCF-S ################
+
+set(tcfs_SRCS
+        ${indimain_SRCS}
+        ${CMAKE_SOURCE_DIR}/drivers/focuser/tcfs.cpp
+   )
+
+add_executable(indi_tcfs_focus ${tcfs_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
+
+target_link_libraries(indi_tcfs_focus indidriver m z)
+
+if (NOVA_FOUND)
+  target_link_libraries(indi_tcfs_focus ${NOVA_LIBRARIES})
+endif (NOVA_FOUND)
+
+install(TARGETS indi_tcfs_focus RUNTIME DESTINATION bin )
+
+file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_tcfs_symlink.cmake
+"exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_tcfs_focus ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_tcfs3_focus)\n")
+set_target_properties(indi_tcfs_focus PROPERTIES POST_INSTALL_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/make_tcfs_symlink.cmake)
 
 #################################################################################
@@ -387,48 +450,20 @@
 install(TARGETS indi_trutech_wheel RUNTIME DESTINATION bin )
 
-#################################################################################
-
-########## FLI Filter Wheel ############
-if (FLI_FOUND)
-set(fliwheel_SRCS
-	${indimain_SRCS}
-	${CMAKE_SOURCE_DIR}/drivers/filter_wheel/fli_wheel.c
-   )
-
-add_executable(indi_fli_wheel ${fliwheel_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_fli_wheel ${FLI_LIBRARIES} m)
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_fli_wheel ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
-
-install(TARGETS indi_fli_wheel RUNTIME DESTINATION bin )
-endif (FLI_FOUND)
-#################################################################################
-
-#######################################
-############# CCD GROUP ###############
-#######################################
-
-############# FLI CCD ###############
-if (CFITSIO_FOUND AND FLI_FOUND)
-
-set(fliccd_SRCS
-	${indimain_SRCS}
-	${CMAKE_SOURCE_DIR}/drivers/ccd/fli_ccd.c
-)
-
-add_executable(indi_fli_ccd ${fliccd_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_fli_ccd ${FLI_LIBRARIES} ${CFITSIO_LIBRARIES} m z)
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_fli_ccd ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
-
-install(TARGETS indi_fli_ccd RUNTIME DESTINATION bin )
-
-endif (CFITSIO_FOUND AND FLI_FOUND)
+########### Filter Simulator ##############
+set(filtersimulator_SRCS
+        ${indimain_SRCS}
+        ${CMAKE_SOURCE_DIR}/drivers/filter_wheel/filter_simulator.cpp
+   )
+
+add_executable(indi_simulator_wheel ${filtersimulator_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
+
+target_link_libraries(indi_simulator_wheel indidriver ${CFITSIO_LIBRARIES} m z pthread)
+
+if (NOVA_FOUND)
+  target_link_libraries(indi_simulator_wheel ${NOVA_LIBRARIES})
+endif (NOVA_FOUND)
+
+install(TARGETS indi_simulator_wheel RUNTIME DESTINATION bin )
+
 #################################################################################
 
@@ -458,4 +493,5 @@
 
 ### Meade Lunar Planetary Imager ########
+if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 if (CFITSIO_FOUND)
 
@@ -479,8 +515,10 @@
 
 endif (CFITSIO_FOUND)
+endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 
 #################################################################################
 
 ########### V4L Philips ##############
+if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 if (CFITSIO_FOUND)
 
@@ -503,8 +541,10 @@
 
 endif (CFITSIO_FOUND)
+endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 
 #################################################################################
 
 ########### Generic V4L Driver ###############
+if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 if (CFITSIO_FOUND)
 
@@ -526,4 +566,5 @@
 
 endif (CFITSIO_FOUND)
+endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 
 #################################################################################
@@ -630,4 +671,6 @@
 
 ########### Tutorial four ##############
+if (CFITSIO_FOUND)
+
 set(tutorialfour_SRCS
         ${indimain_SRCS}
@@ -637,5 +680,5 @@
 add_executable(tutorial_four ${tutorialfour_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
 
-target_link_libraries(tutorial_four indidefaultdriver indiclient m z pthread)
+target_link_libraries(tutorial_four indidriver ${CFITSIO_LIBRARIES} m z pthread)
 
 if (NOVA_FOUND)
@@ -643,4 +686,5 @@
 endif (NOVA_FOUND)
 
+endif (CFITSIO_FOUND)
 
 ########### Tutorial dome ##############
@@ -672,14 +716,30 @@
 endif (NOVA_FOUND)
 
-#################################################################################
-
-install( FILES drivers.xml DESTINATION ${DATA_INSTALL_DIR})
+
+########### Client Tutorial ##############
+set(tutorialclient_SRCS
+        ${CMAKE_SOURCE_DIR}/examples/tutorial_client.cpp
+   )
+
+add_executable(tutorial_client ${tutorialclient_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
+
+target_link_libraries(tutorial_client indiclient m)
+
+if (NOVA_FOUND)
+  target_link_libraries(tutorial_client ${NOVA_LIBRARIES})
+endif (NOVA_FOUND)
+
+#################################################################################
+
+install( FILES drivers.xml ${CMAKE_SOURCE_DIR}/drivers/focuser/indi_tcfs_sk.xml DESTINATION ${DATA_INSTALL_DIR})
 
 install( FILES indiapi.h indidevapi.h base64.h eventloop.h indidriver.h ${CMAKE_SOURCE_DIR}/libs/lilxml.h ${CMAKE_SOURCE_DIR}/libs/indibase/indibase.h
 ${CMAKE_SOURCE_DIR}/libs/indibase/basedriver.h  ${CMAKE_SOURCE_DIR}/libs/indibase/defaultdriver.h
+${CMAKE_SOURCE_DIR}/libs/indibase/indiccd.h  ${CMAKE_SOURCE_DIR}/libs/indibase/indifilterwheel.h
+${CMAKE_SOURCE_DIR}/libs/indibase/indifocuser.h  ${CMAKE_SOURCE_DIR}/libs/indibase/inditelescope.h
 ${CMAKE_SOURCE_DIR}/libs/indibase/baseclient.h ${CMAKE_SOURCE_DIR}/libs/indicom.h
+${CMAKE_SOURCE_DIR}/libs/indibase/indiusbdevice.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/libindi COMPONENT Devel)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libindi.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libindi.pc @ONLY)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libindi.pc DESTINATION ${PKGCONFIG_INSTALL_PREFIX})
-
Index: /BAORadio/libindi/libindi/ChangeLog
===================================================================
--- /BAORadio/libindi/libindi/ChangeLog	(revision 503)
+++ /BAORadio/libindi/libindi/ChangeLog	(revision 504)
@@ -1,2 +1,15 @@
+From 0.7.2 to 0.8
+
+      # TCF-S Focuser driver.
+      # Synscan Telescope driver.
+
+From 0.7.0 to 0.7.1
+
+      # Fixed change filter bug in true technology filter wheel. (JM)
+      # setINDI updated and improved. (ED)
+      # Improved INDI::Mediator functionality. (JM)
+      # Fixed buffer reading in INDI::BaseClient. (JM)
+      # Add new tutorial for INDI::BaseClient. (JM).
+
 From 0.6.2 to 0.7.0
 
Index: /BAORadio/libindi/libindi/INSTALL
===================================================================
--- /BAORadio/libindi/libindi/INSTALL	(revision 503)
+++ /BAORadio/libindi/libindi/INSTALL	(revision 504)
@@ -1,3 +1,3 @@
-INDI Library Setup 0.7.0
+INDI Library Setup 0.8.0
 ========================
 
@@ -22,7 +22,2 @@
 + cfitsio >= 3.0
 
-You can download packages for the dependencies above from SUSE BuildService:
-
-http://software.opensuse.org/search
-
-The packages are available for all major distributions.
Index: /BAORadio/libindi/libindi/README.drivers
===================================================================
--- /BAORadio/libindi/libindi/README.drivers	(revision 503)
+++ /BAORadio/libindi/libindi/README.drivers	(revision 504)
@@ -10,6 +10,6 @@
 You can find more up to date information on INDI drivers from the following sources:
 
-1. INDI Device Profiles: http://indi.sf.net/devices.html
-2. INDI Wiki: http://wiki.kde.org/tiki-index.php?page=indi
+1. INDI Device Profiles: http://www.indilib.org
+2. INDI Wiki: http://www.indilib.org
 
 
Index: /BAORadio/libindi/libindi/cmake_modules/FindFLI.cmake
===================================================================
--- /BAORadio/libindi/libindi/cmake_modules/FindFLI.cmake	(revision 503)
+++ /BAORadio/libindi/libindi/cmake_modules/FindFLI.cmake	(revision 504)
@@ -45,5 +45,5 @@
   else (FLI_FOUND)
     if (FLI_FIND_REQUIRED)
-      message(FATAL_ERROR "FLI not found. Please install libfli1-devel. http://indi.sf.net")
+      message(FATAL_ERROR "FLI not found. Please install libfli-dev. http://www.indilib.org")
     endif (FLI_FIND_REQUIRED)
   endif (FLI_FOUND)
Index: /BAORadio/libindi/libindi/cmake_modules/FindINDI.cmake
===================================================================
--- /BAORadio/libindi/libindi/cmake_modules/FindINDI.cmake	(revision 503)
+++ /BAORadio/libindi/libindi/cmake_modules/FindINDI.cmake	(revision 504)
@@ -5,8 +5,10 @@
 #  INDI_INCLUDE_DIR - the INDI include directory
 #  INDI_LIBRARIES - Link these to use INDI
-#  INDI_DEVICE_LIBRARY - The indi default device library
+#  INDI_MAIN_LIBRARIES - Link to these to build INDI drivers with main()
+#  INDI_DRIVER_LIBRARIES - Link to these to build INDI drivers with indibase support
+#  INDI_CLIENT_LIBRARIES - Link to these to build INDI clients
 #  INDI_DATA_DIR - INDI shared data dir.
 
-# Copyright (c) 2010, Jasem Mutlaq <mutlaqja@ikarustech.com>
+# Copyright (c) 2011, Jasem Mutlaq <mutlaqja@ikarustech.com>
 # Based on FindLibfacile by Carsten Niehaus, <cniehaus@gmx.de>
 #
@@ -14,5 +16,5 @@
 # For details see the accompanying COPYING-CMAKE-SCRIPTS file.
 
-if (INDI_INCLUDE_DIR AND INDI_LIBRARIES AND INDI_DRIVER_LIBRARIES)
+if (INDI_INCLUDE_DIR AND INDI_DATA_DIR AND INDI_LIBRARIES AND INDI_DRIVER_LIBRARIES AND INDI_MAIN_LIBRARIES)
 
   # in cache already
@@ -21,5 +23,5 @@
 
 
-else (INDI_INCLUDE_DIR AND INDI_LIBRARIES AND INDI_DRIVER_LIBRARIES)
+else (INDI_INCLUDE_DIR AND INDI_DATA_DIR AND INDI_LIBRARIES AND INDI_DRIVER_LIBRARIES AND INDI_MAIN_LIBRARIES)
 
   find_path(INDI_INCLUDE_DIR indidevapi.h
@@ -30,9 +32,12 @@
 
  find_path(INDI_DATA_DIR drivers.xml
+    PATHS /usr/share /usr/local/share /opt ${GNUWIN32_DIR}/share
     PATH_SUFFIXES indi
-    /usr
-    /usr/local
-    /opt
-    ${GNUWIN32_DIR}/share
+  )
+
+  find_library(INDI_LIBRARIES NAMES indi
+    PATHS
+    ${_obLinkDir}
+    ${GNUWIN32_DIR}/lib
   )
 
@@ -43,5 +48,5 @@
   )
 
-  find_library(INDI_DEVICE_LIBRARIES NAMES indidefaultdevice
+  find_library(INDI_MAIN_LIBRARIES NAMES indimain
     PATHS
     ${_obLinkDir}
@@ -49,6 +54,5 @@
   )
 
-
-  find_library(INDI_LIBRARIES NAMES indi
+  find_library(INDI_CLIENT_LIBRARIES NAMES indiclient
     PATHS
     ${_obLinkDir}
@@ -56,22 +60,23 @@
   )
 
-  if(INDI_INCLUDE_DIR AND INDI_LIBRARIES AND INDI_DRIVER_LIBRARIES)
+  if(INDI_INCLUDE_DIR AND INDI_DATA_DIR AND INDI_LIBRARIES AND INDI_DRIVER_LIBRARIES AND INDI_MAIN_LIBRARIES)
     set(INDI_FOUND TRUE)
-  else (INDI_INCLUDE_DIR AND INDI_LIBRARIES AND INDI_DRIVER_LIBRARIES)
+  else (INDI_INCLUDE_DIR AND INDI_DATA_DIR AND INDI_LIBRARIES AND INDI_DRIVER_LIBRARIES AND INDI_MAIN_LIBRARIES)
     set(INDI_FOUND FALSE)
-  endif(INDI_INCLUDE_DIR AND INDI_LIBRARIES AND INDI_DRIVER_LIBRARIES)
+  endif(INDI_INCLUDE_DIR AND INDI_DATA_DIR AND INDI_LIBRARIES AND INDI_DRIVER_LIBRARIES AND INDI_MAIN_LIBRARIES)
 
 
   if (INDI_FOUND)
     if (NOT INDI_FIND_QUIETLY)
-      message(STATUS "Found INDI: ${INDI_LIBRARIES}, ${INDI_DRIVER_LIBRARIES}")
+      message(STATUS "Found INDI: ${INDI_LIBRARIES}, ${INDI_MAIN_LIBRARIES}")
+      message(STATUS "INDI Include: ${INDI_INCLUDE_DIR}, INDI Data: ${INDI_DATA_DIR}")
     endif (NOT INDI_FIND_QUIETLY)
   else (INDI_FOUND)
     if (INDI_FIND_REQUIRED)
-      message(FATAL_ERROR "indi-devel not found. Cannot compile INDI drivers. Please install indi-devel and try again. http://www.indilib.org")
+      message(FATAL_ERROR "indi-dev not found. Cannot compile INDI drivers. Please install indi-dev and try again. http://www.indilib.org")
     endif (INDI_FIND_REQUIRED)
   endif (INDI_FOUND)
 
-  mark_as_advanced(INDI_INCLUDE_DIR INDI_LIBRARIES INDI_DRIVER_LIBRARIES INDI_DEVICE_LIBRARIES INDI_DATA_DIR)
+  mark_as_advanced(INDI_INCLUDE_DIR INDI_DATA_DIR INDI_LIBRARIES INDI_DRIVER_LIBRARIES INDI_MAIN_LIBRARIES INDI_CLIENT_LIBRARIES)
 
-endif (INDI_INCLUDE_DIR AND INDI_LIBRARIES AND INDI_DRIVER_LIBRARIES)
+endif (INDI_INCLUDE_DIR AND INDI_DATA_DIR AND INDI_LIBRARIES AND INDI_DRIVER_LIBRARIES AND INDI_MAIN_LIBRARIES)
